Subject: [clisp-list] module.txt missing

From: Miles Egan <[email-masked]>
Date: Fri, 25 May 2001 15:17:37 -0700

The makefile generated in the 'src' directory includes this in the comments:

"""
# The general layout of add-on modules is described in ../doc/module.txt.
# The requirements made there (i.e. the existence of a "link.sh" file
# which defines certain variables) make sure that such an add-on module
# can be distributed with CLISP.
"""

But there doesn't seem to be a ../doc/module.txt.  Has it been folded into the
implementation notes?

-- 
miles

---

From: Peter Wood <[email-masked]>
Date: Sat, 26 May 2001 09:29:55 +0200

> But there doesn't seem to be a ../doc/module.txt.  Has it been folded into the

Hi

All the info needed for writing add-on modules is in impnotes.html
under the extensions section.  You can also look at "extend.txt" in
doc, but impnotes tells you everything you need to know.

Regards,
Peter